Subject: Re: [PATCH net-next 0/7] net: Support Wake-on-LAN using filters

From: Andrew Lunn <[email-masked]>
Date: Tue, 17 Jul 2018 17:47:02 +0200

On Tue, Jul 17, 2018 at 08:36:37AM -0700, Florian Fainelli wrote:
> Hi all,
> 
> This patch series adds support for allowing Wake-on-LAN to wake-up the
> system using configurable filters. This is particular useful in the context
> of Android where wake on MDNS is a requirement.
> 
> We support this by using the bcm_sf2 Compact Field Processor (CFP) which
> supports matching packets and tagging them with an unique identifier
> (Classification ID) that is added in each packet being matched through the use
> of Broadcom tags. The SYSTEMPORT MAC attached to that switch is then used to
> match that unique identifier and trigger a system wake-up event.
> 
> Last patch is the ethtool modifications to support that feature.
> 
> Example:
> 
> ethtool --config-nfc gphy flow-type udp4 src-ip 192.168.1.1 dst-ip 192.168.1.32 \
> 	src-port 1234 dst-port 5678 action 64
> Added rule with ID 1

Hi Florian

What is action 64?
 
> ethtool -s gphy wol f filters 0x2

What does this 0x2 represent?

These magic numbers are not so nice.

      Andrew